@echo on
if not exist out mkdir out

REM Command uses Windows batch file continuation characters.  Note that there
REM cannot be any leading spaces on the lines with the .jar files.

javac ^
    -d ./out ^
    -g ^
    -J-Xmx128m ^
    -cp ^
D:\TeamCity\webapps\ROOT\WEB-INF\lib\annotations.jar;^
D:\TeamCity\webapps\ROOT\WEB-INF\lib\jdom.jar;^
D:\TeamCity\webapps\ROOT\WEB-INF\lib\openapi.jar;^
D:\TeamCity\webapps\ROOT\WEB-INF\lib\spring-webmvc.jar;^
D:\TeamCity\webapps\ROOT\WEB-INF\lib\spring.jar;^
D:\TeamCity\webapps\ROOT\WEB-INF\lib\util.jar;^
D:\TeamCity\DevPackage\server-api.jar;^
D:\TeamCity\devPackage\common-api.jar;^
D:\TeamCity\devPackage\runtime\runtime-util.jar;^
D:\TeamCity\lib\servlet-api.jar;^
D:\TeamCity\webapps\ROOT\WEB-INF\lib\freemarker.jar ^
    mycompany\TeamCity\Plugins\MyCompanyNotifications.java
if %errorlevel% neq 0 exit /b %errorlevel%

@echo off

@echo ^<?xml version="1.0" encoding="UTF-8"?^>> .\out\teamcity-plugin.xml
@echo ^<teamCity-plugin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:shemas-jetbrains-com:teamcity-plugin-v1-xml"^>>> .\out\teamcity-plugin.xml
@echo   ^<info^>>> .\out\teamcity-plugin.xml
@echo     ^<name^>MyCompanyNotificationsPlugin^</name^>>> .\out\teamcity-plugin.xml
@echo     ^<display-name^>MyCompany Notifications Plugin^</display-name^>>> .\out\teamcity-plugin.xml
@echo     ^<description^>Allows Freemarker email notifier to reference contents of the mycompanybuild.html artifact^</description^>>> .\out\teamcity-plugin.xml
@echo     ^<version^>1.0^</version^>>> .\out\teamcity-plugin.xml
@echo     ^<vendor^>>> .\out\teamcity-plugin.xml
@echo       ^<name^>My Company^</name^>>> .\out\teamcity-plugin.xml
@echo       ^<url^>http://www.mycompany.com^</url^>>> .\out\teamcity-plugin.xml
@echo       ^<vendor^>>> .\out\teamcity-plugin.xml
@echo   ^</info^>>> .\out\teamcity-plugin.xml
@echo   ^<deployment use-separate-classloader="true" /^>>> .\out\teamcity-plugin.xml
@echo ^</teamcity-plugin^>>> .\out\teamcity-plugin.xml


if not exist .\out\META-INF mkdir .\out\META-INF

@echo ^<?xml version="1.0" encoding="UTF-8"?^>> .\out\META-INF\build-server-plugin-myCompanyNotifications.xml
@echo ^<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd"^>>> .\out\META-INF\build-server-plugin-myCompanyNotifications.xml
@echo. >> .\out\META-INF\build-server-plugin-myCompanyNotifications.xml
@echo ^<beans default-autowire="constructor"^>>> .\out\META-INF\build-server-plugin-myCompanyNotifications.xml
@echo   ^<bean id="myCompanyNotifications" class="mycompany.teamcity.plugins.MyCompanyNotifications"/^>>> .\out\META-INF\build-server-plugin-myCompanyNotifications.xml
@echo ^</beans^>>> .\out\META-INF\build-server-plugin-myCompanyNotifications.xml


@echo on
jar -cf .\out\MyCompanyNotifications.jar ^
    -C out .\META-INF\build-server-plugin-myCompanyNotifications.xml^
    -C out mycompany\teamcity\plugins\MyCompanyNotifications.class^
    -C out mycompany\teamcity\plugins\MyCompanyNotifications$MyCompanyReadFile.class
if %errorlevel% neq 0 exit /b %errorlevel%

if not exist D:\ProgramData\JetBrains\TeamCity\plugins\MyCompanyNotifications mkdir D:\ProgramData\JetBrains\TeamCity\plugins\MyCompanyNotifications
if not exist D:\ProgramData\JetBrains\TeamCity\plugins\MyCompanyNotifications\server mkdir D:\ProgramData\JetBrains\TeamCity\plugins\MyCompanyNotifications\server

copy .\out\teamcity-plugin.xml D:\ProgramData\JetBrains\TeamCity\plugins\MyCompanyNotifications
copy .\out\MyCompanyNotifications.jar D:\ProgramData\JetBrains\TeamCity\plugins\MyCompanyNotifications\server

net stop TeamCity
net start TeamCity

